import charactersJSON from './characters.json'
import { Collection } from 'discord.js'

export enum Type {
    Something
}

interface Character {
    id: number;
    name: string;
    nameShort: string;
    type: Type;
    img: string;
    stat1: number;
    stat2: number;
    stat3: number;
    stat4: number;
    stat5: number;
}

export const CHARACTERS: Collection<number, Character> = new Collection(charactersJSON.map((element, index) => {return [index, element]}));